Package: org.codehaus.groovy.runtime.dgmimpl

## [Java] Class NumberNumberDiv

- org.codehaus.groovy.runtime.dgmimpl.NumberNumberDiv

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
    `` | `static Number` | `div(Number left, Number right)` Divide two Numbers.
    `` | `String` | `getName()`
    `` | `Object` | `invoke(Object object, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberNumberMetaMethod` | `getDeclaringClass, getModifiers, getReturnType`
    `class CallSiteAwareMetaMethod` | `createPojoCallSite`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

    - #### public static Number div(Number left, Number right)

      Divide two Numbers. Note: Method name different from 'divide' to avoid collision with BigInteger method that has different semantics. We want a BigDecimal result rather than a BigInteger.

      Parameters:
        `left` - a Number
        `right` - another Number
      Returns:
        a Number resulting of the divide operation

    - #### public String getName()

    - #### public Object invoke(Object object, Object[] arguments)